### -*-sh-*-

CROSS_ARCH=$ANDROID_NDK_TARGETARCH

: ${ANDROID_NDK=/usr/local/android/ndk}
: ${ANDROID_NDK_TOOLVER=4.9}
: ${ANDROID_NDK_HOSTARCH=linux-x86_64}
case $ANDROID_NDK_TARGETARCH in
  arm-linux-androideabi)
    ANDROID_NDK_TARGETARCHDIR=arm-linux-androideabi
    ANDROID_NDK_CLANGARCH=armv7a-linux-androideabi
    ANDROID_NDK_TARGETSHORTARCH=arm
    : ${ANDROID_NDK_TARGETVER=16}
    ;;
  aarch64-linux-android)
    ANDROID_NDK_TARGETARCHDIR=aarch64-linux-android
    ANDROID_NDK_CLANGARCH=aarch64-linux-android
    ANDROID_NDK_TARGETSHORTARCH=arm64
    : ${ANDROID_NDK_TARGETVER=21}
    ;;
  i686-linux-android)
    ANDROID_NDK_TARGETARCHDIR=x86
    ANDROID_NDK_CLANGARCH=i686-linux-android
    ANDROID_NDK_TARGETSHORTARCH=x86
    : ${ANDROID_NDK_TARGETVER=16}
    ;;
  x86_64-linux-android)
    ANDROID_NDK_TARGETARCHDIR=x86_64
    ANDROID_NDK_CLANGARCH=x86_64-linux-android
    ANDROID_NDK_TARGETSHORTARCH=x86_64
    : ${ANDROID_NDK_TARGETVER=21}
    ;;
  *)
    echo 2>&1 "${0##*/}: unexpected Android arch \`$ANDROID_NDK_TARGETARCH'"
    exit 2
    ;;
esac
: ${ANDROID_NDK_TOOLS=$ANDROID_NDK/toolchains/$ANDROID_NDK_TARGETARCHDIR-$ANDROID_NDK_TOOLVER/prebuilt/$ANDROID_NDK_HOSTARCH/bin}
: ${ANDROID_NDK_LLVM=$ANDROID_NDK/toolchains/llvm/prebuilt/$ANDROID_NDK_HOSTARCH/bin}
: ${ANDROID_NDK_SYSROOT=$ANDROID_NDK/platforms/android-$ANDROID_NDK_TARGETVER/arch-$ANDROID_NDK_TARGETSHORTARCH}
